lsusb -s $BUS:$DEVICE issue

Bug #203752 reported by cedric on 2008-03-18
2
Affects Status Importance Assigned to Milestone
iPod Convenience
Undecided
Unassigned
ipod-convenience (Ubuntu)
Undecided
Unassigned

Bug Description

0.7-0ubuntu1~ppa1(gusty)
usbutils-0.72

For some reason, the part of the script that generate the Firewire GUID not working in my PC.

lsusb | grep 05ac | awk '{print $2}'
-> 005

lsusb | grep 05ac | awk '{print $4}' | sed s/://
-> 013

lsusb -s 005:013
->

lsusb -s 5:13 or lsusb -s 005:13 or lsusb -s 05:13
-> Bus 005 Device 013: ID 05ac:1290 Apple Computer, Inc.

maybe remove the 0 to prevent this kind of issue ?

Changed in ipod-convenience:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ipod-convenience - 0.9-0ubuntu1

---------------
ipod-convenience (0.9-0ubuntu1) hardy; urgency=low

  * Find our firewire GUID a little more nicely. (LP: #203752)

 -- Mario Limonciello <email address hidden> Sat, 15 Mar 2008 13:49:12 -0500

Changed in ipod-convenience:
status: New → Fix Released
cedric (onsvoi) wrote :

with the new command 'lsusb -v -d 05ac: | grep iSerial | awk '{print $3}' | cut -b1-16', the Firewire GUID is well retrieved.

But between the old version and new one, there a little difference on the generated SysInfo file. the new script add a 'n' at the end of the line and not the previous one. Maybe there is no consequence but I would like just highlight it.

ceddric,

Can you see if you can still add $stuff to your ipod? If so, no
consequences. If not, then mark this bug as not fixed :P

On Mon, Mar 24, 2008 at 1:02 PM, cedricc <email address hidden> wrote:

> with the new command 'lsusb -v -d 05ac: | grep iSerial | awk '{print
> $3}' | cut -b1-16', the Firewire GUID is well retrieved.
>
> But between the old version and new one, there a little difference on
> the generated SysInfo file. the new script add a 'n' at the end of the
> line and not the previous one. Maybe there is no consequence but I would
> like just highlight it.
>
> --
> lsusb -s $BUS:$DEVICE issue
> https://bugs.launchpad.net/bugs/203752
> You received this bug notification because you are subscribed to iPod
> Convenience.
>

--
Mario Limonciello
<email address hidden>

cedric (onsvoi) wrote :

the Firewire GUID with 'n' or without 'n' at the end works at the same way, I can add and remove tracks. So it's good :)

Changed in ipod-convenience:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers